Skip to content
Go to Micro

Delete object

client.Prism.Objects.Actions.Delete(ctx, actionID, params) error
DELETE/v2/prism/{teamId}/action/{actionId}

Delete object

ParametersExpand Collapse
actionID string
formatuuid
params PrismObjectActionDeleteParams
TeamID param.Field[string]Optional

Path param

formatuuid
IfMatch param.Field[string]Optional

Header param: Optimistic concurrency. Pass back the etag header from a previous GET of this record; the write only proceeds if the record hasn’t changed since. Mismatch → 412 precondition_failed. Use * to require the record exists (any ETag accepted).

Delete object

package main

import (
  "context"

  "github.com/micro-so/micro-sdk-go"
  "github.com/micro-so/micro-sdk-go/option"
)

func main() {
  client := micro.NewClient(
    option.WithAPIKey("My API Key"),
    option.WithTeamID("My Team ID"),
  )
  err := client.Prism.Objects.Actions.Delete(
    context.TODO(),
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    micro.PrismObjectActionDeleteParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
}
Returns Examples